Home » Android » Which Eclipse version should I use for an Android app?

Which Eclipse version should I use for an Android app?

Posted by: admin March 10, 2020 Leave a comment

Questions:

I am starting to develop Android applications. Which version of Eclipse should I use?

I see there are 11 versions. I am confused with these:

  1. Eclipse IDE for Java Developers
  2. Eclipse Classic 3.6.1
  3. Eclipse IDE for Java EE Developers
  4. Pulsar for Mobile Developers
How to&Answers:

Update July 2017:

From ADT Plugin page, the question must be unasked:

The Eclipse ADT plugin is no longer supported, as per this announcement in June 2015.

The Eclipse ADT plugin has many known bugs and potential security bugs that will not be fixed.

You should immediately switch to use Android Studio, the official IDE for Android. For help transitioning your projects, read Migrate to Android Studio.

Answer:

The easiest solution is to download the Android SDK bundle:

http://developer.android.com/sdk/installing/bundle.html

The ADT Bundle provides everything you need to start developing apps,
including a version of the Eclipse IDE with built-in ADT (Android
Developer Tools) to streamline your Android app development.

Answer:

I literally did this 1 hour ago.

  1. SDK R7
  2. Get Java – if you don’t have (its the first image link JDK)
  3. Get Eclipse – it’s the first on the list with the most downloads
  4. Android Plugin

Download the appropriate files for your OS. The Android SDK needs java in order to install. Once you get the Android SDK installed go get eclipse and install that. Basically download the file and unzip then in a directory. The android install is the same but it will install a lot more files. (5) Finally open eclipse and go to help > install new software >> and add the url to the plugin – I used this one https://dl-ssl.google.com/android/eclipse/

Answer:

Released in June 2012, Eclipse for Mobile Developers is an awesome starting point for developers looking to focus on Android development. I’ve used it for several projects since August and haven’t been disappointed.

Answer:

**June 2012 **

Google Recommends Eclipse Helios, Eclipse Classic or Eclipse RCP. For details, read the below post.

URL: http://developer.android.com/sdk/eclipse-adt.html

Look under ADT 18.0.0 (April 2012).

Eclipse Helios (Version 3.6.2) or higher is required for ADT 18.0.0.

Look under Installing the ADT Plugin.

If you need to install or update Eclipse, you can download it from http://www.eclipse.org/downloads/. The “Eclipse Classic” version is recommended. Otherwise, a Java or RCP version of Eclipse is recommended.

April 2014 Updated

Eclipse Indigo (Version 3.7.2) or higher is required. I’ll suggest you to use Eclipse Kepler.

ADT 22.6.0 (March 2014)

Answer:

Eclipse 3.5 for Java Developer is the best option for you and 3.6 version is good but not at all because of compatibility issues.

Answer:

As of 10/2011 … classic is fine for Android development.

See Compare Eclipse Packages for a nice chart.

Answer:

If you are just getting into Android, you would be well served by using Android Studio rather than using any version of Eclipse. Android Studio was released in 2013 and provides a nice integrated development environment for developing for Android.

Android Studio is based on IntelliJ, which is a great java devlopment environment. It also has these specific Android features:

  • Gradle-based build support.
  • Android-specific refactoring and quick fixes.
  • Lint tools to catch performance, usability, version compatibility and other problems.
  • ProGuard and app-signing capabilities.
  • Template-based wizards to create common Android designs and components.
  • A rich layout editor that allows you to drag-and-drop UI components, preview layouts on multiple screen configurations, and much more.

You can download it here.

Answer:

The ADT plug-in is yet not compatible
with 3.6

I have been using Eclipse 3.6 with ADT for the past three months for developing applications on Android. I haven’t faced any issues so far. It really good and working fine.

Answer:

The best option is to use the free community version of Intellij Idea 11+. The ADT eclipse plugin is always having problems.

http://code.google.com/p/android/issues/detail?id=26774

Answer:

I would recommend at least Eclipse Indigo (v 3.7) for Android Development because even though a minimum of Helios (v 3.6) is required for ADT 22.0.1 as explained here…

http://developer.android.com/tools/sdk/eclipse-adt.html

… Indigo is required for Android NDK development using CDT, as explained here:

http://tools.android.com/recent/usingthendkplugin

Answer:

You can use the Eclipse Indigo EE version for Android development. It is quite good, and I haven’t faced any issues so far.

Answer:

Just because it’s not on here Nvidia has a nice package that simplifies getting it set up and running with an added bonus of supporting 3D acceleration on capable TEGRA enabled devices.

You may find it here.

Answer:

Get the full Android-SDK plus the dependencies
at http://developer.android.com/sdk/index.html.

Do have Java installed 🙂